Bug 511274 - Review Request: wacomexpresskeys - Wacom ExpressKeys and Touch Strips configuration utility
Summary: Review Request: wacomexpresskeys - Wacom ExpressKeys and Touch Strips configu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-14 14:40 UTC by Jarod Wilson
Modified: 2009-07-19 10:17 UTC (History)
3 users (show)

Fixed In Version: 0.4.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-19 10:17:34 UTC
dan: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Jarod Wilson 2009-07-14 14:40:02 UTC
Spec URL: http://jwilson.fedorapeople.org/packaging/wacomexpresskeys/wacomexpresskeys.spec
SRPM URL: http://jwilson.fedorapeople.org/packaging/wacomexpresskeys/wacomexpresskeys-0.4.2-1.fc11.src.rpm
Description: Configuration utility to bind Wacom tablet's ExpressKeys and Touch Strips to generate other input events.

Package is included in Red Hat Enterprise Linux 4 and 5, no reason it shouldn't be in Fedora as well.

Comment 1 Dan Horák 2009-07-14 15:21:10 UTC
formal review is here, see the notes below:

OK	source files match upstream:
	    b24147a6491a1fdf226d81a9dafb631fd4bc15b1  expresskeys-0.4.2.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	license field matches the actual license.
OK	license is open source-compatible (GPLv2+). License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
OK	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

this package is APPROVED

Comment 2 Jarod Wilson 2009-07-14 15:59:33 UTC
New Package CVS Request
=======================
Package Name: wacomexpresskeys
Short Description: Wacom ExpressKeys and Touch Strips configuration utility
Owners: jwilson
Branches: F-11 F-10
InitialCC: arozansk

Comment 3 Jason Tibbitts 2009-07-15 02:34:53 UTC
CVS done.

Comment 4 Jarod Wilson 2009-07-15 13:45:42 UTC
Built for rawhide, f11 and f10.

Comment 5 Fedora Update System 2009-07-15 13:46:48 UTC
wacomexpresskeys-0.4.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wacomexpresskeys-0.4.2-1.fc11

Comment 6 Fedora Update System 2009-07-15 13:47:23 UTC
wacomexpresskeys-0.4.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/wacomexpresskeys-0.4.2-1.fc10

Comment 7 Fedora Update System 2009-07-19 10:17:07 UTC
wacomexpresskeys-0.4.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-07-19 10:17:29 UTC
wacomexpresskeys-0.4.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.